import { GetterTree } from 'vuex'
import { State } from './index'
import { RootState } from '~/store/index'

export type Getters<S = State> = {
  profile(state: S): any
}

export const getters: GetterTree<State, RootState> & Getters = {
  profile: (state: State) => {
    return state.profile
  },
}
